﻿/* Grid Action Buttons */
.e-btn .e-btn-icon {
  /*font-size: 22px;*/
}

.e-btn.e-icon-btn {
  /*padding: 2px 4px;*/
}

/* Additional icons not used after changing the style to bootstrap */

.e-move-up::before {
  content: '\e910';
}

.e-move-down::before {
  content: '\e916';
}

.e-move-first::before {
  content: '\e306';
}

.e-move-last::before {
  content: '\e304';
}

.e-grid .e-rank::before {
  content: '\e275';
}

.e-view::before {
  content: '\e345';
}

.e-edit::before {
  content: '\e81e';
}

.hidden-button {
  visibility: hidden !important;
  display: none !important;
}

.rating .star {
  font-size: 132%;
  color: lightgrey;
}

  .rating .star.checked {
    color: #ffa600;
  }


#myProgress {
  position: relative;
  height: 18px;
  width: 10em;
  text-align: left;
  background-color: white;
}

.highcontrast .e-grid #myProgress {
  background-color: black;
}

#myBar {
  position: absolute;
  width: 10%;
  height: 100%;
  background-color: #00b300;
}

  #myBar.progressdisable {
    background-color: #df2222;
  }

#label {
  position: relative;
  left: 10px;
  line-height: 18px;
  font-size: 10px;
  color: white;
}

.e-grid {
  font-family: "DroidNaskh", "Helvetica Neue","Helvetica","Arial",sans-serif,"-apple-system","BlinkMacSystemFont";
}

.hidden-button {
   visibility: hidden;
   display: none;
 }

.e-float-input input, .e-float-input.e-control-wrapper input {
  padding: 0.47rem 0.75rem;
}

.e-float-input:not(.e-input-group) input, .e-float-input.e-control-wrapper:not(.e-input-group) input {
  /*padding: inherit;*/
}

input.e-input, .e-input-group input.e-input, .e-input-group input, .e-input-group.e-control-wrapper input.e-input, 
.e-input-group.e-control-wrapper input, .e-float-input input.e-input, .e-float-input input, 
.e-float-input.e-control-wrapper input.e-input, .e-float-input.e-control-wrapper input, .e-input-group input.e-input:focus, 
.e-input-group.e-control-wrapper input.e-input:focus, .e-float-input.e-control-wrapper input:focus, .e-float-input input:focus, 
.e-input-group.e-input-focus input.e-input, .e-input-group.e-control-wrapper.e-input-focus input.e-input, 
.e-float-input.e-control-wrapper.e-input-focus input, .e-float-input.e-input-focus input {
  padding: 0.47rem 0.75rem;
}

  .e-input-group input.e-input, .e-input-group.e-control-wrapper input.e-input, .e-input-group textarea.e-input, .e-input-group.e-control-wrapper textarea.e-input {
    line-height: 1.5;
    
  }

  input.e-input, .e-input-group input, .e-input-group.e-control-wrapper input, .e-input-group input.e-input, .e-input-group.e-control-wrapper input.e-input {
    height: auto;
  }

.e-input-group.e-error {
  border-color: #f56e50 !important;
  -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
}


[dir="rtl"] .e-input-group .e-input-group-icon:last-child, 
[dir="rtl"] .e-input-group.e-control-wrapper .e-input-group-icon:last-child {
  border-left-width: 0;
  border-right-width: 1px;
  border-bottom-right-radius: 0;
  border-top-right-radius: 0;
  border-bottom-left-radius: 3px;
  border-top-left-radius: 3px;
}